##!perl -w
#################################################################################
#
#  Licensed Materials - Property of IBM
#  Restricted Material of IBM
#  IBM Rational Test RealTime
#  (c) Copyright IBM Corp. 2019 All Rights Reserved.
#  (c) Copyright HCL Technologies Ltd. 2019.  All Rights Reserved.
#
#  US Governement Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#################################################################################
die "Environment variable TESTRTDIR not found. Exiting.\n\n" if(!defined($ENV{'TESTRTDIR'})); # NO TRANSLATION
use FileHandle ;

STDOUT->autoflush(1);
STDERR->autoflush(1);

$TESTRTDIR="$ENV{'TESTRTDIR'}";
$SCRIPTDIR="$TESTRTDIR/lib/scripts/";

require $SCRIPTDIR . "Fcts.pl";
$BINDIR=GetBinDir();
setMachineVars();
require $SCRIPTDIR . "instrPostpro.pl";

my $Status=mergeCCoupling();
exit($Status);

1;
