#ifdef RTRT_TDP_COMPILATION 
#define EXTERN_MONITOR_TYPES(x,k,c,nb) extern const short varStrucSizeTable_##k##_##c [];
#define EXTERN_MONITOR_GLOBALS(x,k,c,nb,file) extern const void * varAddressTable_##k##_##c [];

#define VARADDRESSTABLE() const void ** const varAddressTable[]={
#define MONITOR_GLOBALS(x,k,c,nb,file) varAddressTable_##k##_##c,
#define VARADDRESSTABLE_END(nb) (const void**)0 };
#define VARSTRUCSIZETABLE() const short * const structsizeofTable[]={
#define MONITOR_TYPES(x,k,c,nb) varStrucSizeTable_##k##_##c,
#define VARSTRUCSIZETABLE_END(nb) (const short*)0 };
/* this file is generated at link time based on TSf file when monitoring feature is requested */
/* this file can be generated from CLI as perllauncher monitor.pl *.tsf */
#include "masterTable.h"
#ifndef MNT_MAX_DIM
#define MNT_MAX_DIM 7
#endif
#ifndef MNT_IMAGE_INT
//#define MNT_IMAGE_16 /* define if used as MNT_IMAGE_INT */
//#define MNT_IMAGE_INT reverse_large_image_16
#define MNT_IMAGE_INT image_10
#define MNT_IMAGE_10 /* define if used as MNT_IMAGE_INT */
#endif /*MNT_IMAGE_INT*/

#ifndef MNTUSE_FLOAT
#define MNTUSE_FLOAT 1
#endif
#ifndef MNTUSE_DOUBLE
#define MNTUSE_DOUBLE 1
#endif
#ifndef MNTUSE_STRING
#define MNTUSE_STRING 1
#endif
#ifndef NEEDS_MNT_BITFIELDS
#define NEEDS_MNT_BITFIELDS 1
#endif
/* integer size used by target to read bitfield variables
 usually = sizeof(int)
 only used by little endian target to swap memory befor printing content 
 RTRT_BIG_ENDIAN must be defined into TDP when target not a little endian
 */
#ifndef RTRT_BIT_FIELD_SIZE
#define RTRT_BIT_FIELD_SIZE sizeof(int)
#endif /*RTRT_BIT_FIELD_SIZE*/
#ifndef VARADDRESSTABLE_SIZE
#define VARADDRESSTABLE_SIZE 150
#define VARSTRUCSIZETABLE_SIZE 150
#endif

#else /*RTRT_TDP_COMPILATION*/
void mnt_exec_request(void);
#endif /*RTRT_TDP_COMPILATION*/