##!perl -w
#################################################################################
#
#  Licensed Materials - Property of IBM
#  Restricted Material of IBM
#  IBM Rational Test RealTime
#  (c) Copyright IBM Corp. 2019 All Rights Reserved.
#  (c) Copyright HCL Technologies Ltd. 2019.  All Rights Reserved.
#
#  US Governement Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#################################################################################
die "Environment variable TESTRTDIR not found. Exiting.\n\n" if(!defined($ENV{'TESTRTDIR'})); # NO TRANSLATION
use FileHandle ;

STDOUT->autoflush(1);
STDERR->autoflush(1);

$TESTRTDIR="$ENV{'TESTRTDIR'}";
$SCRIPTDIR="$TESTRTDIR/lib/scripts/";

require $SCRIPTDIR . "Fcts.pl";
$BINDIR=GetBinDir();
setMachineVars();
require $SCRIPTDIR . "instrPostpro.pl";


my $Status=mergeDataCoupling();

##log parameter for debug
#open ( LOG, ">>ReportGen.log" ) or die &PerlTranslate("trtcc.pl", "Cannot open log file: %1\n", "%1 is the reason given by the Operating System", $!);
#print LOG $0,"\n";
#while(@ARGV) {
#print LOG shift,"\n";
#} print LOG "---\n";
#close( LOG );

exit($Status);

1;
